<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- $Id: alt-html2xhtml.xsl,v 1.3 2003/10/03 15:20:16 vyt Exp $ -->

<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/html2xhtml.xsl"/>

<xsl:output encoding="windows-1251"/>

<xsl:variable name="docbook-xsl-html">http://docbook.sourceforge.net/release/xsl/current/html/</xsl:variable>
<xsl:variable name="docbook-xsl-xhtml">http://docbook.sourceforge.net/release/xsl/current/xhtml/</xsl:variable>

<!-- This is a hack worked with website build after website-2.4.0-alt1 -->
<xsl:variable name="website-xsl-html">http://docbook.sourceforge.net/release/website/current/xsl/</xsl:variable>
<xsl:variable name="website-xsl-xhtml">http://docbook.sourceforge.net/release/website/current/xhtml/</xsl:variable>

<!-- Replace links to html-common.xsl from altdocs xsl -->
<xsl:variable name="altdocs-xsl-html">../html/html-common.xsl</xsl:variable>
<xsl:variable name="altdocs-xsl-xhtml">../xhtml/html-common.xsl</xsl:variable>

<xsl:template match="xsl:import|xsl:include">
  <xsl:copy>
    <xsl:attribute name="href">
    <xsl:choose>
      <xsl:when test="starts-with(@href,$docbook-xsl-html)">
	<xsl:value-of select="$docbook-xsl-xhtml"/>
	<xsl:value-of select="substring-after(@href,$docbook-xsl-html)"/>
      </xsl:when>
      <xsl:when test="starts-with(@href,$website-xsl-html)">
	<xsl:value-of select="$website-xsl-xhtml"/>
	<xsl:value-of select="substring-after(@href,$website-xsl-html)"/>
      </xsl:when>
      <xsl:when test="starts-with(@href,$altdocs-xsl-html)">
	<xsl:value-of select="$altdocs-xsl-xhtml"/>
	<xsl:value-of select="substring-after(@href,$altdocs-xsl-html)"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="@href"/>
      </xsl:otherwise>
    </xsl:choose>
    </xsl:attribute>
  </xsl:copy>
</xsl:template>

<!--     ( chunked-) -->
<xsl:template match="xsl:output">
  <xsl:copy>
    <xsl:copy-of select="@*"/>
    <xsl:attribute name="method">xml</xsl:attribute>
    <xsl:attribute name="encoding">koi8-r</xsl:attribute>
    <xsl:attribute name="doctype-public">-//W3C//DTD XHTML 1.0 Transitional//EN</xsl:attribute>
    <xsl:attribute name="doctype-system">http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd</xsl:attribute>
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
